diff scripts/aquariumfx.sh @ 631:ffaacab84d1a

Merge dispose
author Tatsuki IHA <innparusu@cr.ie.u-ryukyu.ac.jp>
date Thu, 30 Nov 2017 19:42:31 +0900
parents 030c4f35393c
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/aquariumfx.sh	Thu Nov 30 19:42:31 2017 +0900
@@ -0,0 +1,26 @@
+#!/bin/bash
+if [ $# -ne 2 ]; then 
+    echo "Usage: ./aquarium.sh NODENUM CHILDLENNUM"
+    exit 1
+fi
+max=$1
+child_num=$2
+jar_path=../build/libs/Alice.jar
+if [ ! -e $java ]; then
+    echo "$java not found."
+    exit 1
+fi
+
+ruby ./topology/treen.rb $1 $2 > ./topology/tree.dot
+dot -Tpng ./topology/tree.dot > ./topology/tree.png
+#open ./topology/tree.png
+java -version
+java -cp $jar_path alice.topology.manager.TopologyManager -p 10000 -conf ./topology/tree.dot -log ./output/manager.log -level fatal > ./output/std_manager.log &
+
+cnt=0
+while [ $cnt -lt $max ]
+do
+    java -cp $jar_path alice.test.topology.aquarium.fx.StartAquariumFX -host `hostname` -port 10000 -p `expr 20000 + $cnt` -log ./output/aquariumfx${cnt}.log -level fatal > ./output/std_aquariumfx${cnt}.log &
+    cnt=`expr $cnt + 1`
+done
+wait